/*
 * Wallgate ThriiTap
 * Custom Styles
 */

/*
 * Colours
 * #022D5A - Dark Blue
 * #009EE2 - Light Blue
 */

@font-face {
    font-family: 'Proxima Light';
    src: url('../fonts/proxima_nova_alt_light-webfont.woff2') format('woff2'),
         url('../fonts/proxima_nova_alt_light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: "Proxima Light", sans-serif;
}

/* Header */
#header {
    width: 100%;
    color: #FFF;
    padding: 35px 5%;
    background: #022D5A;
}
.home #header {
    background: transparent;
    position: fixed;
    top: 0;
    z-index: 77;
}

/* Content */
#content .page h1 {
    font-size: 48px;
    line-height: 1.2;
}
#content .page {
    margin: 0;
    height: 100vh;
    position: relative;
    display: flex;
    overflow: hidden;
    width: 100%;
}
#content .page:before,
#content .page:after,
#content .page .nav-title,
#content .page .nav-icons,
#content #home .page .dot,
#content #home .page:before,
#content #home .page:after,
#footer:after,
#footer:before {
    position: absolute;
    left: 30px;
    width: 0;
    opacity: 1;
    transition: all 0.3s;
}
#content #home .page .dot {
    content: '';
    top: 20%;
    width: 12px;
    height: 12px;
    margin-top: -12px;
    margin-left: -6px;
    border-radius: 12px;
    border: 2px solid #009EE2;
    transition: all 0.3s;
}
#content #home .page:before {
    content: '';
    top: 20%;
    height: 0;
    /*height: 20%;*/
    border-left: 1px solid #ABC;
}
#content #home .page:after {
    content: '';
    height: 0;
    top: 55%;
    /*bottom: -35%;
    bottom: 0;
    height: 35%;*/
    border-left: 1px solid #ABC;
}
#content .page:before {
    content: '';
    top: 0;
    height: 0;
    /*height: 40%;*/
    border-left: 1px solid #022D5A;
}
#content .page:after {
    content: '';
    height: 0;
    top: 100%;
    /*bottom: -40%;
    bottom: 0;
    height: 40%;*/
    border-left: 1px solid #022D5A;
}
#content .dark .page:before,
#content .dark .page:after {
    border-left: 1px solid #FFF;
}
#content .page.view .nav-title {
    margin-left: -50px;
}
#content .page.view .nav-icons {
    margin-left: -15px;
}
#content .page.view:before {
    height: 35%;
}
#content .page.view:after,
#content #home .page.view:after {
    /*bottom: 0;*/
    top: 55%;
    height: 45%;
}
#content #home .page.view:before {
    height: 15%;
}
#content .section-title {
    display: none;
}
#content .page .nav-title {
    position: absolute;
    transform: rotate(-90deg);
    /*width: 20%;
    margin: 0 auto;
    margin-top: -65px;
    margin-left: -50px;
    margin-top: -7%;*/
    top: 44%;
    width: 100px;
    color: #022D5A;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-align: center;
    margin-left: -300px;
}
#content .dark .page .nav-title {
    color: #FFF;
}
#content .page .nav-icons {
    display: flex;
    flex-direction: column;
    position: absolute;
    z-index: 77;
    /*transform: rotate(-90deg);
    width: 20%;
    margin-left: -15px;
    margin-top: -7%;*/
    top: 35%;
    width: 30px;
    height: 20%;
    text-transform: uppercase;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-left: -300px;
}
#content .nav-icon {
    display: block;
    border-radius: 30px;
    height: 30px;
    width: 30px;
    margin: 7px 0;
    padding: 3px 0 0;
    color: #ABC;
    border: 1px solid #ABC;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
}
#content .nav-icon:hover {
    color: #022D5A;
    border: 1px solid #022D5A;
}
#content #home .nav-icon {
    color: #FFF;
    border: 1px solid #FFF;
}
#content .dark .nav-icon {
    color: #ABC;
    border: 1px solid #ABC;
}
#content .nav-icon.selected {
    width: 36px;
    height: 36px;
    font-size: 18px;
    color: #009DE5;
    border: 1px solid #009DE5;
}
#content #home .nav-icon:hover,
#content .dark .nav-icon:hover {
    color: #009DE5;
    border: 1px solid #009DE5;
}
#content .page .btn-primary,
#content .page input[type="submit"] {
    font-family: "Proxima Light", sans-serif;
    background: #009DE5;
    color: #FFF;
    border: 1px solid transparent;
    /*text-transform: uppercase;*/
    letter-spacing: 1px;
    border-radius: 5px;
    padding: 7px 50px;
    width: auto;
}
#content .page .btn-primary:hover,
#content .page input[type="submit"]:hover {
    background: #FFF;
    border: 1px solid #009DE5;
    color: #009DE5;
}
#content .page label {
    color: #022D5A;
}
#content .dark .page {
    color: #FFF;
}
#content .page .skip {
    color: #FFF;
    background: #009DE5;
    border: 1px solid #009DE5;
    border-radius: 30px;
    height: 30px;
    width: 30px;
    padding: 3px 0 0;
    text-align: center;
    position: absolute;
    display: block;
    bottom: 70px;
    z-index: 77;
    left: 50%;
    margin-left: -15px;
}
#content .page .skip:hover {
    color: #009DE5;
    background: #FFF;
}
#content #home #home-logo {
    position: absolute;
    /*bottom: 70px;*/
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    height: 170px;
    padding: 50px;
    color: #FFF;
    font-size: 36px;
    background: rgba(50,25,0,0.3);
}
#content #home #home-logo img {
    max-height: 30px;
}
#content .page .content-left {
    padding-top: 20%;
    padding-left: 30px;
    margin-left: -50%;
}
#content .page.view .content-left {
    margin-left: 0;
}
#content .page .content-right {
    padding-top: 0;
    padding-right: 30px;
    margin-right: -50%;
}
#content #choice .page .content-left,
#content #choice .page .content-right {
    padding-top: 7%;
}
#content .page.view .content-right {
    margin-right: 0;
}

/* Choice Block */
.choice-control {
    position: absolute;
    z-index: 77;
    top: 50%;
    left: 50%;
    margin-top: -35px;
    margin-left: -35px;
    width: 70px;
    height: 70px;
    border-radius: 70px;
    background: #022D5A;
    /*cursor: pointer;*/
    cursor: ew-resize;
    transition: all 0.3s;
}
.choice-control:hover {
    background: #009DE5;
}
.choice-control.drag {
    background: #ABC;
}
.choice-block .control-wrap {
    position: relative;
    text-align: center;
    height: 70px;
}
.choice-block .control-center {
    position: absolute;
    height: 50px;
    margin-top: 10px;
    margin-left: -1px;
    left: 50%;
    width: 0px;
    border-left: 2px solid #FFF;
}
.choice-block .control-left,
.choice-block .control-right {
    position: absolute;
    top: 25px;
    border-style: solid;
    border-width: 10px;
    height: 0px;
    width: 0px;
}
.choice-block .control-left {
    border-color: transparent #FFF transparent transparent;
    left: 5px;
}
.choice-block .control-right {
    border-color: transparent transparent transparent #FFF;
    right: 5px;
}
.choice-block .content-left {
    background: linear-gradient(0deg, rgba(0,157,229,1) 0%, rgba(2,45,90,1) 100%);
}
.choice-block .content-right {
    background: #FFF;
}
.choice-block .content-left,
.choice-block .content-right {
    height: 100%;
}
.choice-block .content-right .choice-content {
    color: #022D5A;
}
.choice-block .choice-content {
    width: 0%;
    height: 0;
    overflow: hidden;
    transition: all 0.3s;
    padding: 100px 0;
}
.choice-block .choice-image {
    width: 100%;
    transition: all 0.3s;
    cursor: pointer;
}
.choice-block .content-left .choice-image {
    text-align: right;
}
.choice-block .content-right .choice-image {
    text-align: left;
}
.choice-block .content-left .choice-content {
    text-align: right;
}
.choice-block .content-right .choice-content {
    text-align: left;
}
.choice-block .choice-image img {
    max-width: 540px !important;
}
.choice-block .expanded .choice-content {
    padding: 100px 70px;
}
.choice-block .expanded .choice-content,
.choice-block .expanded .choice-image {
    width: 50%;
    height: auto;
}
.choice-block .retracted {
    width: 0%;
    overflow: hidden;
}

/* WPCF7 */
.wpcf7-list-item {
    margin: 0;
}
.wpcf7-list-item-label {
    display: none;
}

/* Pagination */
#pagination {
    position: fixed;
    z-index: 77;
    top: 50%;
    right: 30px;
    transform: translateY(-50%);
    list-style: none;
}
#pagination li {
    position: relative;
    margin: 20px 0;
    background: #CCC;
    border-radius: 100%;
    width: 10px;
    height: 10px;
    transition: all .2s ease;
}
#pagination li:hover {
    transform: scale(1.5);
}
#pagination a {
    position: absolute;
    text-decoration: none;  
    left: 0;
    top: 0;
    color: inherit;
    width: 100%;
    height: 100%;
}
@media(max-width: 768px) {
    #header .container {
        display: flex;
    }
    #branding {
        flex: 1;
        text-align: left;
        max-width: 240px;
    }
    #menu {
        flex: 1;
        text-align: right;
    }
    #content .page h1 {
        font-size: 36px;
    }
    #home .page {
        padding-left: 50px;
    }
    .choice-block .choice-control {
        display: none;
    }
    .choice-block .choice-content,
    .choice-block .choice-image {
        width: 100% !important;
    }
    #pagination {
        display: none;
    }
}

/* Footer */
#footer {
    position: relative;
    background: #022D5A;
    color: #FFF;
    padding-bottom: 30px;
}
#footer #footer-logo {
    font-size: 48px;
}
#copyright p {
    color: #FFF;
    font-size: 14px;
    margin-top: 30px;
}
#footer:before {
    content: '';
    top: 0;
    height: 50%;
    border-left: 1px solid #FFF;
}
#footer:after {
    content: '';
    bottom: 50%;
    width: 12px;
    height: 12px;
    margin-top: 12px;
    margin-left: -6px;
    border-radius: 12px;
    border: 2px solid #009EE2;
    background: #022D5A;
}